<ui:composition xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <g:column id="assertionId" sortBy="#{'assertionId'}"
              sortOrder="ascending">
        <ui:define name="header">#{messages['net.ihe.gazelle.assertion-manager.AssertionsId']}</ui:define>
        <h:outputLink id="linkAssertion" target="_assertion"
                      title="#{messages['net.ihe.gazelle.assertion-manager.ViewAssertion']}"
                      value="#{request.contextPath}/assertions/show.seam">
            <f:param name="id" value="#{assertionParam.id}"/>
            <h:outputText value="#{assertionParam.assertionId}"/>
        </h:outputLink>
    </g:column>
    <g:column id="testCoverage" sortBy="#{'testsCoverageCount'}">
        <ui:define name="header"><a href="#" data-toggle="tooltip" title=""
                                    data-original-title="Number of tests covering">##{messages['net.ihe.gazelle.tm.T']}</a>
        </ui:define>
        <h:outputText value="#{assertionParam.testsCoverageCount}"/>
    </g:column>
    <g:column id="rulesCoverage" sortBy="#{'tfRulesCoverageCount'}">
        <ui:define name="header"><a href="#" data-toggle="tooltip" title=""
                                    data-original-title="Number of Rules covering">##{messages['net.ihe.gazelle.tm.R']}</a>
        </ui:define>
        <h:outputText value="#{assertionParam.tfRulesCoverageCount}"/>
    </g:column>
    <g:column id="mbvCoverage" sortBy="#{'mbvCoverageCount'}">
        <ui:define name="header"><a href="#" data-toggle="tooltip" title=""
                                    data-original-title="Number of MbvServices covering">##{messages['net.ihe.gazelle.tm.M']}</a>
        </ui:define>
        <h:outputText value="#{assertionParam.mbvCoverageCount}"/>
    </g:column>
    <g:column id="assertion">
        <ui:define name="header">#{messages['net.ihe.gazelle.assertion-manager.Predicate']}</ui:define>
        <h:outputText value="#{assertionParam.predicate.content}"/>
    </g:column>
</ui:composition>
